1. Slie's Avatar
    First Gen iPhone here. Wondering whether I should upgrade? seems like people are having problems? OR they might just be noobs?
    Hello!!
    2008-08-01 05:21 PM
  2. redcard's Avatar
    Yep, they're noobs. And by asking this question you're a noob too.

    So in answer to your first question - NO
    To live, you have to lie
    2008-08-01 05:26 PM
  3. Slie's Avatar
    YOur hardcore redcard. Well i kept seeing a whole bunch of people crying around. I didn't know if it was as serious as when i had to hardware unlock my OTB 1.1.2?
    Hello!!
    2008-08-01 05:32 PM
  4. Chefanim's Avatar
    If there are any apps in the app store you cant live without, then upgrade. Also, the ability to delete multiple emails is nice. If you are in to skinning, then I would wait for summerboard to be released. Customize is working fine, but I really miss my springboard wallpaper. I kinda wish I had waited, and I dont feel like downgrading now.
    2008-08-01 06:04 PM
  5. Eurisko's Avatar
    People just like to cry about anything that doesn't fit their idea of a perfect device. I'd upgrade, the "locate" featured programs alone make it worth it. Want to see a movie, click on Showtimes and it shows all the theatres and listings closest to you. Same for eating out, click on LocalPicks and it finds the closest restaurants to you, rates them and tells you how far away they are. They even have these for the social scene. All these ones I mentioned are also free, and work for both 3G and 1st Gen phones.
    Get "iPod & iTunes for Dummies", it'll change your life.
    2008-08-01 06:27 PM
  6. Rip's Avatar
    Mine's never been better since upgrading.

    Just followed the iClarified instructions.

    Faultless.
    2008-08-01 07:52 PM
  7. princemarko's Avatar
    Upgrade. Restore to 2.0 then Pwn the iphone, clears up a lot of issues. Also... LEAVE OUT CYDIA for now.
    2008-08-02 03:01 PM
  8. bonefish's Avatar
    if you are on 1.1.4 on 1st generation i would wait unitl 2.1 is released. im on 3G, so i dont have a choice. The 2.0 firmware is sluggish to say the least, talked to some guys at the 5th avenue store who told me that it will be fixed in 2.1.

    in the meantime stay on 1.1.4 if you enjoy 3rd party apps, not much is ported to 2.0 yet
    2008-08-02 06:37 PM
LINK TO POST COPIED TO CLIPBOARD